/* Redsapp */

:root {
    --cicolor: #e50000;

    --maincolorfilter: brightness(0) saturate(100%) invert(10%) sepia(99%) saturate(7472%) hue-rotate(13deg) brightness(94%) contrast(111%);

    /* --cicolor-dark: #a00000; */
    /* color-scheme: light dark; */
    --white:#fff;
    --black:#000;

    --linkcolor:var(--cicolor);

    --textcolor: #fff;
    --textcolor-light: #000;

    --textcolor-second: #8e8e93;
    --textcolor-second-light: #555;



    --background: #000; 
     --background-light: #efefec; 

    --bgcolor:#1c1c1e;
     /* --bgcolor-light:#1c1c1e;  */

     --real100vh: 89vh; /* IOS nur 89vh wegen navigation bar */


     
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
    scroll-behavior: smooth;
}
@media screen and (prefers-reduced-motion: reduce) {
	html {
		scroll-behavior: auto;
	}
}

body {
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Helvetica, Arial, sans-serif;
    background: #efedea;
    /* color: light-dark(#333b3c, #efefec); */
    color: var(--textcolor);
    overflow-x: hidden;
    height: 100vh;
    display: flex;
    flex-direction: column;
    background: var(--background);
    &.ios {
        height: var(--real100vh); 
    }
}

/* Light für Backgrounds */
/*@media (prefers-color-scheme: light) {
  body  {
    color: var(--textcolor-light);
    background: var(--background-light);
  }

}
*/

a {
    /* color:light-dark(var(--cicolor),var(--cicolor)); */
    color:var(--linkcolor);
}

h1,h2,h3 {
    margin-top:2rem;
    margin-bottom:1rem;
}

hr {
   border-color:var(--background);
}

copy {
    padding:2rem 0 ;
    font-size:1rem;
    display: flex;
    text-align: center;
    white-space: nowrap;
    align-items: center;
    align-content: center;
    justify-content: center;
    i {
        font-size:1.3rem !important;
        margin-top:3px;
        margin-right: 4px;
    }
}

ol {
    margin-top:1rem;
    margin-left:2rem;
    li {
        margin-bottom:1rem;
    }
}

form {
    input:-internal-autofill-selected,input:autofill, input[type="text"],input[type="password"],input[type="email"] {
        padding:0.5rem;
        font-size: 1rem;
        color:var(--textcolor);
        background-color: var(--bgcolor);
        border:0;
        width:100%;
        &:focus {
            outline:2px var(--cicolor) solid;
        }
    }
}

.hidden {
    display: none;
    visibility: hidden;
}

/*
.status-bar {
    height: 44px;
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 12px;
    padding-top: 8px;
}
@media (prefers-color-scheme: dark) {
  .status-bar  {
    background: #000;
  }
}
*/

.header {
    background:var(--bgcolor);
    padding: 12px 20px;
    border-bottom: 0.5px solid var(--bgcolor);
}


/* Dark für Backgrounds */
/*@media (prefers-color-scheme: dark) {
  .header {
    border-bottom: 0.5px solid #38383a;
    background: #1c1c1e;
  }
}
*/
.header h1 {
    font-size: 2rem;
    font-weight: 700;
    letter-spacing: -0.5px;
    margin-top:unset;
    margin-bottom: unset;
    line-height: 1;
}

.content {
    flex: 1;
    overflow-y: auto;
    padding: 0 0 20px 0;
    background: var(--background);

    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;

    &::-webkit-scrollbar {
        display: none;
    }
}
/* Dark für Backgrounds */
/*@media (prefers-color-scheme: dark) {
  .content {
    background: #000;
  }
}
*/
.club-card {
    background: var(--bgcolor);
    margin: 8px 16px;
    padding: 16px;
    border-radius: 12px;
    display: flex;
    align-items: center;
    gap: 12px;
}
/* Dark für Backgrounds */
/*@media (prefers-color-scheme: dark) {
  .club-card {
    background: #1c1c1e;
  }
}
*/
.club-icon {
    width: 60px;
    height: 60px;
    border-radius: 12px;
    background: linear-gradient(135deg, var(--cicolor) 0%, #000 100%);
    background-size:cover;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 24px;
    flex-shrink: 0;
    object-fit: cover;
}

.club-info {
    flex: 1;
}

.club-name {
    font-size: 17px;
    font-weight: 600;
    margin-bottom: 4px;
}

.club-location {
    font-size: 14px;
    color: var(--textcolor-second);
}
.club-land {
    display: none;
}

.chevron {
    color: var(--textcolor-second);
    font-size: 18px;
}

.tab-bar {
    /* background:#efefea; */
    background: var(--bgcolor);
    /* border-top: 0.5px solid light-dark(#efefea, #38383a); */
    border-top: 0.5px solid var(--bgcolor); 
    display: flex;
    padding-bottom: env(safe-area-inset-bottom, 0);
    height: calc(50px + env(safe-area-inset-bottom, 0));
}
/* Dark für Backgrounds */
/*@media (prefers-color-scheme: dark) {
  .tab-bar  {
    background: #1c1c1e;
  }
}
*/

.tab {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 4px;
    cursor: pointer;
    transition: opacity 0.2s;
}

.tab.active {
    color: var(--cicolor);
    &:before {
        color:var(--cicolor);
    }
}

.tab:not(.active) {
    color: var(--textcolor-second);
}

.tab-icon {
    font-size: 24px;
    
    .ph-duotone {
        color:unset;
        
        
    }
}

.tab-label {
    font-size: 10px;
    font-weight: 500;
}

.search-bar {
    margin: 8px 16px;
    background: var(--bgcolor);
    border-radius: 12px;
    padding: 8px 12px;
    display: flex;
    align-items: center;
    gap: 8px;
}
/* Dark für Backgrounds */
/*@media (prefers-color-scheme: dark) {
 .search-bar  {
    background: var(--bgcolor-dark);
  }
}
*/

.search-bar input {
    background: none;
    border: none;
    /* color: light-dark(#1c1c1e, #fff); */
    color: var(--textcolor);
    font-size: 16px;
    flex: 1;
    outline: none;
}

.search-bar input::placeholder {
    /* color: light(#eee,#8e8e93); */
    color: var(--textcolor-second);
}


.overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.5);
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s;
    z-index: 100;
}

.overlay.active {
    opacity: 1;
    pointer-events: auto;
}

.detail-sheet {
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    background:var(--bgcolor); /* Dark via media weil background */
    border-radius: 12px 12px 0 0;
    transform: translateY(100%);
    transition: transform 0.4s cubic-bezier(0.32, 0.72, 0, 1);
    z-index: 101;
    height: 80vh;
    overflow: hidden;
    /*display: flex;*/
    flex-direction: column;

    .map{
        /*width: 70%;*/
        max-width: unset;
    }

    #detailNews{
        text-align: left;

        li {
            margin-bottom:1rem;
        }
        div {
            > strong {
                font-weight: 600;
                /* color:light-dark(#777,#999); */
                color:var(--textcolor-second);
                font-size: 0.8rem;
            }
            p {
                font-size:1.2rem;
                * {
                    font-size:1.2rem;
                }
            }
        }
        
    }

    .detailimages-wrapper {
        display: flex;
        /* flex-wrap: wrap; */
        gap: 20px;
        overflow-x: scroll;

         -ms-overflow-style: none;  /* IE and Edge */
        scrollbar-width: none;

        &::-webkit-scrollbar {
            display: none;
        }
        
        > a{
            /*width:100%;*/
        }
        img {
            /* width:100%; */
            object-fit: cover;
            display: block;
        }
    }
}

/* Dark für Backgrounds */
/*@media (prefers-color-scheme: dark) {
  .detail-sheet {
    background: var(--bgcolor-dark);
  }
}
*/


.detail-sheet.active {
    transform: translateY(0);
}

.sheet-handle {
    position: relative;
    width: 100vw;
    height: 16px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition:all 0.1s ease-in-out;
    margin-bottom: 5px;
    &.down,&:hover {
        transform: scale(1.2);
    }
    &:after {
        position: absolute;
        content:'';
        display: block;
        width:35px;
        height:6px;
        border-radius: 3px;

        /* background: #48484a; */
        background: var(--textcolor-second);
    }
   
}


.detail-header {
    padding: 0 20px 0;
    text-align: center;
    position: absolute;
    /* background: gray; */
    height:166px;
    width:100%;
    display: flex;
    flex-direction: column;

}

.detail-icon {
    /*width: 80px;
    height: 80px;*/
    /* width:250px; */
    /* height:auto; */
    /* aspect-ratio: 3/2; */
    height:80px;
    aspect-ratio: 1;
    border-radius: 20px;
    margin: 0 auto 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 40px;
    background-size:cover;
}

.detail-title {
    font-size: 28px;
    font-weight: 700;
}

/*
.detail-subtitle {
    font-size: 17px;
    color: var(--textcolor-second);
}
*/



.detail-content {
    margin-top:166px;
    flex: 1;
    overflow-y: auto;
    padding: 0 20px 40px;
    position: relative;

    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;

    &::-webkit-scrollbar {
        display: none;
    }

    &:after {
        position: absolute;
        left:0;
        bottom:0;
        z-index: 1000;
        content:'⇩';/*▼*/
        display: block;
        color:var(--cicolor);
        width:100%;
        text-align: center;
        font-size: 9vh;
        animation-name: heartbeat;
        animation-duration: 2s;
        animation-iteration-count: infinite;
    }

    &.scrolled {
        &:after {
            display:none;
        }

    }
}

.detail-section {
    margin-bottom: 24px;
}

.detail-section-title {
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 12px;
}

.detail-text {
    font-size: 16px;
    line-height: 1.5;
    /* color:light-dark(#000, #e5e5ea);  */
    color:var(--textcolor);
}

.detail-info-row {
    display: flex;
    gap:1rem;
    padding: 12px 0;
    /* border-bottom: 0.5px solid light-dark(#bbb, #38383a); */
     border-bottom: 0.5px solid var(--background); 
}

.detail-info-row:last-child {
    border-bottom: none;
}

.detail-info-label {
    flex: 1;
    /* color: light-dark(#888, #8e8e93); */
    color:var(--textcolor-second);
    font-size: 16px;
}

.detail-info-value {
    flex: 2;
    font-size: 16px;
   /* text-align: right;*/
    /* color:light-dark(#000, #fff); */
    color:var(--textcolor);
    li {
        margin-left:1.1rem;
    }

   
}

#detailLatlong {
    display: none;
}

.close-button {
    z-index: 1;
    position: absolute;
    top: 16px;
    right: 16px;
    width: 32px;
    height: 32px;
    border-radius: 16px;
    /* background:#ccc; */
    background:var(--textcolor-second);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    font-size: 20px;
    line-height: 1;
    /* color:light-dark(#000, #8e8e93); */
     color:var(--textcolor);
}

.share-button {
    z-index: 1;
    position: absolute;
    top: 16px;
    left: 16px;
    width: 32px;
    height: 32px;
    border-radius: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    font-size: 30px;
    line-height: 1;
    i {
        color:var(--cicolor);
    }

/*
    font-weight: bold;
    position: relative;
    &:before {
        content: ".";
        font-size: 2.2em;
        position: absolute;
        bottom: -2.5px;
        left: -4px;
    }
    &:after {
        content: ":";
        font-size: 2em;
        position: absolute;
        bottom: -6px;
        right: -7px;
    }*/
}

/* Dark für Backgrounds */
/*@media (prefers-color-scheme: dark) {
  .close-button {
    background: #333;
  }
}
*/
.detail-addremovefavorite-wrapper {
        display: flex;
    justify-content: center;
}

.detail-addremovefavorite{
    width: 3rem;
    aspect-ratio: 1;
    font-size: 2rem;
    border:0;
    line-height: 1;
    background:unset;/*light-dark(#bbb, #333);*/

}

#detailRemoveFavorite {
    /*font-size:3rem;*/
}



/* Leaflet Start ---------------------*/
.map {
    width:100%;
    aspect-ratio: 1;
    min-width: 280px;
    max-height:80vh;
}

/* .darkmode { */
    .leaflet-layer,
    .leaflet-control-zoom-in,
    .leaflet-control-zoom-out/*,
    .leaflet-control-attribution*/ {
        filter:  invert(100%) hue-rotate(210deg) brightness(95%) contrast(90%);
    }
    .leaflet-control-attribution {
        background-color:rgba(0,0,0,0.8) !important;
    }
/* } */

.leaflet-container  {
    /* background:light-dark(#333,#eee); */
    background: var(--background);
    .leaflet-popup-content-wrapper {
        background: var(--bgcolor);
        /* color: light-dark(#333,#eee); */
        color:var(--textcolor-second);
        
        a {
            font-size: 1.1rem;
            white-space: nowrap;
        }

        a {
            color:var(--cicolor);
        }
    }

    .leaflet-right {
        svg {
            display: none !important; /* Keine Flagge */
        }
    }

}
/* Dark für Backgrounds */
/*
@media (prefers-color-scheme: dark) {
  .leaflet-container {
    background: #111;
  }
}
*/


.leaflet-marker-icon {
    filter:unset;
    /*filter: invert(1) saturate(20 ) brightness(0.9)drop-shadow(0px 0px 5px black);*/
}

/* Leaflet Ende ---------------------*/

.button {
    background-color: var(--cicolor);
    /* color: light-dark(var(--white),var(--black)); */
    color:var(--textcolor);
    border-radius: 16px;
    padding:0.5rem 1rem;
    text-decoration: none;
    display: inline-block;
    font-size: 1rem;
    line-height: 1;
    border:0;
    cursor: pointer;
    &:disabled,&.disabled {
        background:gray;
        cursor: unset;
    }
}


.list-wrapper {
    display: flex;
    flex-direction: column;
    gap:8px;
    margin-bottom: 1rem;

    .itemwrapper {
        padding: 16px;
        background-color: var(--bgcolor);
        border-radius:12px;
        display: flex;
        flex-direction: column;
       
        
         h3 {
            flex:2;
            font-size: unset; /* Normale Größe */
            margin-bottom: unset;
            margin-top:unset;
            a {
                display: inline-flex;
                align-items: center;
                gap:1rem;
                color:var(--cicolor);
            }
        }
        > div {
            flex:1;
            display: inline-flex;
            flex-direction:column;
            flex-wrap: wrap;
            margin-left:calc(1rem + 60px);
            
            > strong {
                font-weight: 600;
                /* color:light-dark(#777,#999); */
                color:var(--textcolor-second);
                font-size: 0.8rem;
            }
           
            p {
                font-size: 1.2rem;  /* wie #detailNews */
                * {
                    font-size: 1.2rem; /* wie #detailNews */
                }
            }
        }
    }
    
    /* Status */
    &.status {
        /* background-color: red; */

        .itemwrapper {
            position: relative;
        
            .statuschanged{
                position: absolute;
                top: 0;
                right: 0;
                background: var(--textcolor-second);
                font-size: 0.7rem;
                padding-right:12px;
                padding-left:12px;
                border-radius:0 12px 0 0;
            }
            
          
            
            > div.media-wrapper {
                margin-left:0;

                >p {
                    /* margin-left:calc(1rem + 60px); */
                    margin-top:1rem;
                    margin-bottom:1rem;
                    text-align: center;
                    width:100%;
                }
                >video {
                    /* outline:2px var(--background) solid; */
                    /* height:300px; */
                    height:auto;
                    width:auto;
                    aspect-ratio: 3/2;
                    max-width:100%;
                    max-height:95vh;
                    height:450px;
                    background: #222;
                    object-fit: contain;
                }
                >img {
                    object-fit: contain;
                    /* object-position: left; */
                    width: 100%;
                    aspect-ratio: 3/2;
                    height: auto;
                    display: block;
                }

            }
            
        }
        
    }

    /* News */
    &.news {
        /* background-color: yellow; */
       
    }
}




#jugendschutz {
    background-color: black;
    color:white;
    display: none;
    width:100%;
    height:100%;
    position: absolute;
}

.showjugendschutz{
    display: block;
    
}

/* Formular Feedbacks */
.errorlayout {
    color:red;
    font-weight: bold;
}


.animate {
    animation-name: heartbeat;
     animation-duration: 1s;
}

/* The animation code */
@keyframes animate {
  from {background-color: red;}
  to {background-color: yellow;}
}

@keyframes heartbeat
{
  0% {
    transform: scale( .75 );
  }
  20% {
    transform: scale( 1 );
  }
  40% {
    transform: scale( .75 );
  }
  60% {
    transform: scale( 1 );
  }
  80% {
    transform: scale( .75 );
  }
  100% {
    transform: scale( .75 );
  }
}

@keyframes heartbeatfont
{
  0% {
    font-size: .75rem;
  }
  20% {
    font-size: 1rem;
  }
  40% {
    font-size: .75rem;
  }
  60% {
    font-size: 1rem;
  }
  80% {
    font-size: .75rem;
  }
  100% {
    font-size: .75rem;
  }
}

.settingsmap-appender {
    max-width:250px;
    aspect-ratio: 1;
    .map {
        width:100%;
        height:100%;
    }
}

/* Entfernungsliste */
.entfernung-wrapper {
    display: flex;
    flex-direction: column;
    margin-top:1rem;
    gap:8px;
    >div {
        display: flex;
        align-items: center;
        background: var(--bgcolor);
        border-radius: 12px;
        font-weight: bold;
        flex-wrap: nowrap;
        padding:16px;
        flex:2;

        /* Bild & Name */
        >span:nth-of-type(1) {
            flex:2;
        }
        /* Entfernung */
        >span:nth-of-type(2) {
            flex:1;
        }
       

        a {
            display: inline-flex;
            gap:1rem;
            align-items: center;
            flex-wrap: nowrap;
            img {
                display: inline-block;
            }
           
        }
    }
    
}


.fillentfernung {
    font-size:0.7rem;
    color:var(--textcolor-second);
}


/* Notification */
.buttons-wrapper {
    margin-top:1rem;
    margin-bottom:1rem;
    display: flex;
    flex-direction: column;
    gap:1rem;
    max-width:300px;
}
#allowNotificationFeedback {
  word-break: break-all;
  &.disabled {
    font-weight: bold;
    color:var(--cicolor);
  }
}


/* Icons */
.content .ph-duotone {
    color:var(--cicolor);
    font-size: 2rem;
    vertical-align: middle;
    /*
    animation-name: heartbeatfont;
    animation-duration: 1.36s;
    animation-iteration-count: infinite;

    width: 1rem;
    display: inline-block;
    height: auto;
    */
    &.green {
        color:#09ff00;
    }
}

/* Slider */
.slider-wrapper{
    height:320px; /* 20px für pager */
    width:100%;
    .images {
         
        > img {
            height:300px;
            aspect-ratio: 3/2;
            width:auto;
            object-fit: contain; 
        }
    }

    /* Anpassungen Lib */
    .lSAction  {
        > a {
            background-position: unset;
            background-size: contain;
            
            &.lSNext {
                background-image:url("images/next.png");
                filter:var(--maincolorfilter);
            }
            &.lSPrev {
                background-image:url("images/prev.png");
                filter:var(--maincolorfilter);
            }
        }
    }

    .lSPager {
        
            li {
                &.active {
                    >a {
                        opacity: 1;
                    }
                }
                > a{
                    background-color: var(--cicolor) !important;
                    opacity: 0.5;
                    
                }


                
            }
        
    }
}

/* Slider mit Touch */
body.touch {
    .slider-wrapper {
        .lSAction {
            > a {
                &:hover {
                    opacity: 0.5 !important ; /* bei hover gleich lassen */
                }
            }
        }
    }
}

.slider-wrapper_UNUSED {
        --left:block;
        --right: block;
     position: relative;


    .images {
        height:300px;
        overflow: scroll; /* bei gerät mit aus dies hidden machen*/
        display: flex;
        scroll-snap-type: x mandatory;
        -ms-overflow-style: none;  /* IE and Edge */
        scrollbar-width: none;
  
        &::-webkit-scrollbar {
        display: none;
        }
         img {
            text-align: center;
            scroll-snap-align: center;
            flex: none;
        }

    }
   

    &:after,&:before {
        font-weight: bold;
        content:"";
        display: block;
        width:clamp(20px,4vw,40px);
        aspect-ratio: 1;
        position: absolute;
        left:0;
        top:50%;
        transform:translateY(-50%);
        filter:var(--maincolorfilter) drop-shadow(0px 0px 5px black);
        background:url("images/prev.png") no-repeat center/ contain;
        display: var(--left);

    }

    &:after {
        content:"";
        left:unset;
        right:0;
        
         background-image:url("images/next.png");
         display: var(--right);

    }


    .pager-wrapper{
        display: flex;
        justify-content: center;
        position: absolute;
        bottom: 0;
        width: 100%;
        gap:5px;

        .pager{
            background-color: var(--cicolor);
            width:clamp(15px,5vw,20px);
            content:'';
            display: block;
            aspect-ratio: 1;
            border-radius:50%;
            filter:drop-shadow(0 0 5px black);
            opacity: 0.5;
        }
    }
    
  
}

/* Kein Touch */
body_UNUSED:not(.touch) {
    .slider-wrapper {
        overflow: hidden;
     
        .images {
            overflow: visible;
            img {
                width:auto;
                &::selection {
                    background-color:unset;
                }
            }
        }

        .pager.active {
           opacity:0.7;
        }
    }

}

